QGIS Application - Bug report #8665
QGIS doesn't use SID for Oracle connection
2013-09-25 03:49 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17394
Description

The oracle connection help says:
"Database" - SID or SERVICE_NAME of the Oracle instance.
However, if | enter a valid SID of a database here, it will fail with a ORA-12514 error. | spent many hours of frustration wondering why my

Oracle connection wasn't working due to this. :-(
It does work if a SERVICE_NAME or GLOBAL_NAME is entered.

Related issues:
Duplicates QGIS Application - Bug report # 8648: QGIS Oracle connection Closed 2013-09-23

History

#1 - 2013-09-25 04:44 AM - Jiirgen Fischer

Do you specify only the SID and no host? SIDs are not required to be unique across hosts - so | suppose specifying only a SID only works, if the database
instance runs locally (and listens on port 1521).

#2 - 2013-09-25 04:47 AM - Jonathan Moules

My Oracle isn't on localhost.

Leaving the Host or Host-and-Port blank while filling in the SID results in an ORA-12154 error.

#3 - 2013-09-25 04:51 AM - Jiirgen Fischer

Jonathan Moules wrote:

My Oracle isn't on localhost.

Leaving the Host or Host-and-Port blank while filling in the SID results in an ORA-12154 error.

I'd say that's nothing unusual.

#4 - 2013-09-25 04:54 AM - Jonathan Moules
| actually have that as a feature request in #8666

Back on topic - the bug is that using SID (with a host and port) doesn't work even though it apparently should (so the docs say).

#5 - 2013-09-25 05:34 AM - Jiirgen Fischer

Jonathan Moules wrote:

Back on topic - the bug is that using SID (with a host and port) doesn't work even though it apparently should (so the docs say).

Specifying a SID (in the database row) and host works for me (with a 10g database).

#6 - 2013-09-25 06:03 AM - Jonathan Moules
Using Oracle 10g here (though with the 11 client).

The TNSnames entry looks like this:
co_gistest.world =
(DESCRIPTION =
(ADDRESS =
(COMMUNITY = wcctcep.world)
(PROTOCOL = TCP)
(Host = co-gistest-li2)
(Port = 1521)
)
(CONNECT_DATA =
(SID = gistest)
(GLOBAL_NAME = co_gistest.world)
)
)

Specifying "gistest" as my database instantly gets me back the ORA-12154 error.

#7 - 2014-11-03 03:09 AM - Jiirgen Fischer
- Status changed from Open to Closed
